[Bug 1581269] Re: package systemd 229-4ubuntu4 [modified: usr/share/dbus-1/system-services/org.freedesktop.systemd1.service] failed to install/upgrade: unable to securely remove '/usr/bin/systemd-detect-virt.dpkg-new': Read-only file system

Martin Pitt martin.pitt at ubuntu.com
Fri May 13 06:12:47 UTC 2016


This looks like your Ubuntu partition was remounted read-only in the
middle of a dpkg upgrade, which usually indicates a hard disk failure. I
suggest to reboot into rescue mode, run an fsck, and "fix packages",
double-check that you have a backup of your data, and watch out for more
instances of this.

** Changed in: systemd (Ubuntu)
       Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1581269

Title:
  package systemd 229-4ubuntu4 [modified: usr/share/dbus-1/system-
  services/org.freedesktop.systemd1.service] failed to install/upgrade:
  unable to securely remove '/usr/bin/systemd-detect-virt.dpkg-new':
  Read-only file system

Status in systemd package in Ubuntu:
  Invalid

Bug description:
  This resulted from selecting an automated install daily of updates.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: systemd 229-4ubuntu4 [modified: usr/share/dbus-1/system-services/org.freedesktop.systemd1.service]
  ProcVersionSignature: Ubuntu 4.4.0-22.39-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  Date: Thu May 12 18:07:29 2016
  ErrorMessage: unable to securely remove '/usr/bin/systemd-detect-virt.dpkg-new': Read-only file system
  InstallationDate: Installed on 2016-05-10 (2 days ago)
  InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.3)
  MachineType: Gigabyte Technology Co., Ltd. To be filled by O.E.M.
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-22-generic root=UUID=1946dab5-b7e7-4ee9-9d97-d39b50d14c16 ro
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1
   apt  1.2.10ubuntu1
  SourcePackage: systemd
  SystemdDelta:
   [EXTENDED]   /lib/systemd/system/systemd-timesyncd.service → /lib/systemd/system/systemd-timesyncd.service.d/disable-with-time-daemon.conf
   [EXTENDED]   /lib/systemd/system/clamav-daemon.socket → /etc/systemd/system/clamav-daemon.socket.d/extend.conf
   [EXTENDED]   /lib/systemd/system/rc-local.service → /lib/systemd/system/rc-local.service.d/debian.conf
   
   3 overridden configuration files found.
  Title: package systemd 229-4ubuntu4 [modified: usr/share/dbus-1/system-services/org.freedesktop.systemd1.service] failed to install/upgrade: unable to securely remove '/usr/bin/systemd-detect-virt.dpkg-new': Read-only file system
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 01/09/2014
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: F5
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: F2A88XM-DS2
  dmi.board.vendor: Gigabyte Technology Co., Ltd.
  dmi.board.version: x.x
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF5:bd01/09/2014:svnGigabyteTechnologyCo.,Ltd.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnF2A88XM-DS2:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.name: To be filled by O.E.M.
  dmi.product.version: To be filled by O.E.M.
  dmi.sys.vendor: Gigabyte Technology Co., Ltd.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1581269/+subscriptions



More information about the foundations-bugs mailing list